/*
 * Copyright 1991, 1992, 1993, 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
/*
 *	Type definitions, etc for buttonfly
 */
#define random(r) (r*(float)rand()/(float)(0x7fff))

#define WORDLENGTH 11

typedef struct popup_struct_type
{
	char *title;
	char *action;
	struct popup_struct_type *next;
} popup_struct;

typedef struct button_struct_type
{
	char name[3][20];
	int wc;		/* word count */
	char *action;
	char *submenu;
	popup_struct *popup;
	char *cwd;	/* Working directory */

	/* RGB 0 to 1 */
	float color[3];
	float backcolor[3];
	float highcolor[3];
	float default_color[3];
	float default_backcolor[3];
	float default_highcolor[3];
	struct button_struct_type *next;
	struct button_struct_type *forward;

	short ax, ay, az;
	float tx, ty, tz;
} button_struct;

typedef struct path_struct_type {

    button_struct *current_buttons;
    button_struct *button;
    struct path_struct_type *back;

} path_struct;

#define NUM_TOKENS 6
#define MAX_SPOTS 32

extern char *dot_tokens[NUM_TOKENS];
extern int token_nums[];
extern float *spots[32];
extern button_struct *current_button;
extern char *malloc(), *realloc();
