/*
 * Copyright 1991, 1992, 1993, 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
/*
 * Kurt Akeley
 * 12 September 1990
 *
 * Stroke font derived from bartfont.h
 * 
 * Each character is a sequence of triplets.  The triplets are:
 *
 *	0,0,0	end of list
 *	1,x,y	translate to x,y
 *	2,x,y	first vertex of connected line is x,y
 *	3,x,y	next vertex of connected line is x,y
 *	4,x,y	last vertex of connected line is x,y
 *
 * Characters are defined on a 6x9 matrix (x by y) with Z of zero.
 * Bartfont.h was designed for relative moves and draws.  This file
 * has only absolute coordinates, and is therefore supported with
 * the GL commands translate(), bgnline(), v2i(), and endline().
 */

#define _strokemax 022
long strokemax = _strokemax;

long chrtbl[0200][_strokemax][3] = {
/* c0   */ {{0}},
/* c1   */ {{2,0,4}, {3,2,2}, {4,4,4},
            {2,2,8}, {4,2,2},
            {1,6,0}},
/* c2   */ {{2,0,3}, {3,0,5}, {3,1,6}, {3,2,6}, {3,3,5}, {4,4,6},
            {2,3,5}, {3,3,3}, {4,4,2},
            {2,3,3}, {3,2,2}, {3,1,2}, {4,0,3},
            {1,6,0}},
/* c3   */ {{2,0,0}, {3,1,1}, {3,1,5}, {3,2,6}, {3,4,6}, {3,5,5}, {3,4,4}, {4,1,4},
            {2,4,4}, {3,5,3}, {3,4,2}, {4,1,2},
            {1,7,0}},
/* c4   */ {{2,0,4}, {3,2,6}, {4,4,4},
            {1,6,0}},
/* c5   */ {{2,0,5}, {3,4,5}, {4,4,4},
            {1,6,0}},
/* c6   */ {{2,1,4}, {4,3,4},
            {2,3,6}, {3,2,6}, {3,1,5}, {3,1,3}, {3,2,2}, {4,3,2},
            {1,6,0}},
/* c7   */ {{2,1,2}, {4,1,6},
            {2,0,6}, {4,4,6},
            {2,3,6}, {4,3,2},
            {1,6,0}},
/* c8   */ {{2,0,2}, {4,2,4},
            {2,0,7}, {3,0,6}, {4,4,2},
            {1,6,0}},
/* c9   */ {{0}},
/* c10  */ {{1,0,-9}},
/* c11  */ {{2,0,2}, {3,1,1}, {3,2,2}, {3,2,7}, {3,3,8}, {4,4,7},
            {1,6,0}},
/* c12  */ {{2,0,3}, {4,4,3},
            {2,4,6}, {4,0,6},
            {2,2,8}, {4,2,4},
            {1,6,0}},
/* c13  */ {{0}},
/* c14  */ {{2,1,3}, {3,2,4}, {3,2,5}, {3,3,6}, {3,4,5}, {3,4,4}, {3,3,3}, {4,2,4},
            {2,2,5}, {3,1,6}, {3,0,5}, {3,0,4}, {4,1,3},
            {1,6,0}},
/* c15  */ {{2,0,3}, {3,0,4}, {3,1,5}, {3,3,5}, {3,4,4}, {3,4,6}, {3,2,8}, {4,1,8},
            {2,4,4}, {3,4,3}, {3,3,2}, {3,1,2}, {4,0,3},
            {1,6,0}},
/* c16  */ {{2,4,7}, {3,1,7}, {3,0,6}, {3,0,4}, {3,1,3}, {4,4,3},
            {1,6,0}},
/* c17  */ {{2,0,3}, {3,3,3}, {3,4,4}, {3,4,6}, {3,3,7}, {4,0,7},
            {1,6,0}},
/* c18  */ {{2,0,4}, {3,0,6}, {3,1,7}, {3,3,7}, {3,4,6}, {4,4,4},
            {1,6,0}},
/* c19  */ {{2,0,7}, {3,0,5}, {3,1,4}, {3,3,4}, {3,4,5}, {4,4,7},
            {1,6,0}},
/* c20  */ {{2,0,8}, {3,2,2}, {4,4,8},
            {2,3,6}, {4,1,6},
            {1,6,0}},
/* c21  */ {{2,0,2}, {3,4,2}, {3,4,5}, {4,1,5},
            {2,0,8}, {3,4,8}, {4,4,5},
            {1,6,0}},
/* c22  */ {{2,0,4}, {3,0,6}, {3,1,7}, {3,3,7}, {3,4,6}, {3,4,4}, {3,3,3}, {3,1,3}, {4,0,4},
            {2,1,4}, {4,3,6},
            {2,1,6}, {4,3,4},
            {1,6,0}},
/* c23  */ {{2,2,0}, {3,0,2}, {3,4,6}, {4,2,8},
            {2,0,6}, {4,4,6},
            {2,0,2}, {4,4,2},
            {1,6,0}},
/* c24  */ {{2,0,0}, {4,4,0},
            {1,6,0}},
/* c25  */ {{2,2,3}, {3,4,5}, {4,2,7},
            {2,0,5}, {4,4,5},
            {1,6,0}},
/* c26  */ {{2,0,8}, {3,1,9}, {3,2,9}, {3,2,8}, {3,3,8}, {4,4,9},
            {1,6,0}},
/* c27  */ {{2,0,1}, {4,4,7},
            {2,4,5}, {4,0,5},
            {2,0,3}, {4,4,3},
            {1,6,1}},
/* c28  */ {{2,1,2}, {4,3,2},
            {2,3,4}, {3,1,6}, {4,3,8},
            {1,6,0}},
/* c29  */ {{2,1,2}, {4,3,2},
            {2,1,4}, {3,3,6}, {4,1,8},
            {1,6,0}},
/* c30  */ {{2,0,3}, {4,4,3},
            {2,4,5}, {4,0,5},
            {2,0,7}, {4,4,7},
            {1,6,0}},
/* c31  */ {{2,0,6}, {3,2,4}, {4,4,6},
            {1,6,0}},
/* c32  */ {{1,6,0}},
/* c33  */ {{2,2,1}, {4,2,2},
            {2,2,4}, {4,2,8},
            {1,6,0}},
/* c34  */ {{2,1,7}, {4,1,9},
            {2,3,9}, {4,3,7},
            {1,6,0}},
/* c35  */ {{2,1,2}, {4,1,7},
            {2,3,7}, {4,3,2},
            {2,4,3}, {4,0,3},
            {2,0,6}, {4,4,6},
            {1,6,0}},
/* c36  */ {{2,2,1}, {4,2,9},
            {2,4,7}, {3,3,8}, {3,1,8}, {3,0,7}, {3,0,6}, {3,1,5}, {3,3,5}, {3,4,4}, {3,4,2}, {3,3,1}, {3,1,1}, {4,0,2},
            {1,6,-1}},
/* c37  */ {{2,0,2}, {3,0,3}, {3,4,7}, {4,4,8},
            {2,1,8}, {3,0,8}, {3,0,7}, {3,1,7}, {4,1,8},
            {2,4,3}, {3,5,3}, {3,5,2}, {3,4,2}, {4,5,2},
            {1,8,1}},
/* c38  */ {{2,4,4}, {3,2,2}, {3,1,2}, {3,0,3}, {3,0,4}, {3,2,6}, {3,2,7}, {3,1,8}, {3,0,7}, {3,0,6}, {4,4,2},
            {1,6,0}},
/* c39  */ {{2,0,7}, {3,1,8}, {3,1,9}, {3,2,9}, {3,2,8}, {4,1,8},
            {1,6,1}},
/* c40  */ {{2,4,2}, {3,2,4}, {3,2,6}, {4,4,8},
            {1,6,0}},
/* c41  */ {{2,0,2}, {3,2,4}, {3,2,6}, {4,0,8},
            {1,6,0}},
/* c42  */ {{2,2,2}, {4,2,8},
            {2,0,7}, {4,4,3},
            {2,4,5}, {4,0,5},
            {2,0,3}, {4,4,7},
            {1,6,0}},
/* c43  */ {{2,2,3}, {4,2,7},
            {2,0,5}, {4,4,5},
            {1,6,0}},
/* c44  */ {{2,0,1}, {3,1,2}, {4,1,3},
            {1,6,0}},
/* c45  */ {{2,0,5}, {4,4,5},
            {1,6,0}},
/* c46  */ {{2,1,2}, {4,2,2},
            {1,6,0}},
/* c47  */ {{2,0,3}, {4,4,7},
            {1,6,0}},
/* c48  */ {{2,0,3}, {3,4,7}, {3,3,8}, {3,1,8}, {3,0,7}, {3,0,3}, {3,1,2}, {3,3,2}, {3,4,3}, {4,4,7},
            {1,6,0}},
/* c49  */ {{2,1,2}, {4,3,2},
            {2,2,2}, {3,2,8}, {4,1,7},
            {1,6,0}},
/* c50  */ {{2,0,7}, {3,1,8}, {3,3,8}, {3,4,7}, {3,4,6}, {3,0,2}, {4,4,2},
            {1,6,0}},
/* c51  */ {{2,0,3}, {3,1,2}, {3,3,2}, {3,4,3}, {3,4,4}, {3,3,5}, {4,2,5},
            {2,3,5}, {3,4,6}, {3,4,7}, {3,3,8}, {3,1,8}, {4,0,7},
            {1,6,0}},
/* c52  */ {{2,3,2}, {3,3,8}, {3,0,5}, {3,0,4}, {4,4,4},
            {1,6,0}},
/* c53  */ {{2,0,3}, {3,1,2}, {3,3,2}, {3,4,3}, {3,4,5}, {3,3,6}, {3,0,6}, {3,0,8}, {4,4,8},
            {1,6,0}},
/* c54  */ {{2,0,5}, {3,0,3}, {3,1,2}, {3,3,2}, {3,4,3}, {3,4,4}, {3,3,5}, {3,0,5}, {3,0,6}, {3,2,8}, {4,3,8},
            {1,6,0}},
/* c55  */ {{2,0,8}, {3,4,8}, {3,2,4}, {4,2,2},
            {1,6,0}},
/* c56  */ {{2,1,5}, {3,0,4}, {3,0,3}, {3,1,2}, {3,3,2}, {3,4,3}, {3,4,4}, {3,3,5}, {3,1,5}, {3,0,6}, {3,0,7}, {3,1,8}, {3,3,8}, {3,4,7}, {3,4,6}, {4,3,5},
            {1,6,0}},
/* c57  */ {{2,1,2}, {3,2,2}, {3,4,4}, {3,4,7}, {3,3,8}, {3,1,8}, {3,0,7}, {3,0,6}, {3,1,5}, {4,4,5},
            {1,6,0}},
/* c58  */ {{2,0,3}, {4,1,3},
            {2,1,6}, {4,0,6},
            {1,6,0}},
/* c59  */ {{2,0,1}, {3,1,2}, {4,1,3},
            {2,1,6}, {4,0,6},
            {1,6,0}},
/* c60  */ {{2,3,3}, {3,1,5}, {4,3,7},
            {1,6,0}},
/* c61  */ {{2,0,4}, {4,4,4},
            {2,4,6}, {4,0,6},
            {1,6,0}},
/* c62  */ {{2,1,7}, {3,3,5}, {4,1,3},
            {1,6,0}},
/* c63  */ {{2,1,2}, {4,2,2},
            {2,2,4}, {3,2,5}, {3,4,7}, {3,3,8}, {3,1,8}, {4,0,7},
            {1,6,0}},
/* c64  */ {{2,3,2}, {3,1,2}, {3,0,3}, {3,0,7}, {3,1,8}, {3,3,8}, {3,4,7}, {3,4,4}, {3,2,4}, {3,2,6}, {4,4,6},
            {1,6,0}},
/* c65  */ {{2,0,2}, {3,0,7}, {3,1,8}, {3,3,8}, {3,4,7}, {4,4,2},
            {2,0,5}, {4,4,5},
            {1,6,0}},
/* c66  */ {{2,0,2}, {3,3,2}, {3,4,3}, {3,4,4}, {3,3,5}, {4,0,5},
            {2,3,5}, {3,4,6}, {3,4,7}, {3,3,8}, {3,0,8}, {4,0,2},
            {1,6,0}},
/* c67  */ {{2,4,7}, {3,3,8}, {3,1,8}, {3,0,7}, {3,0,3}, {3,1,2}, {3,3,2}, {4,4,3},
            {1,6,0}},
/* c68  */ {{2,0,2}, {3,3,2}, {3,4,3}, {3,4,7}, {3,3,8}, {4,0,8},
            {2,1,8}, {4,1,2},
            {1,6,0}},
/* c69  */ {{2,4,2}, {3,0,2}, {3,0,8}, {4,4,8},
            {2,3,5}, {4,0,5},
            {1,6,0}},
/* c70  */ {{2,0,2}, {3,0,8}, {4,4,8},
            {2,3,5}, {4,0,5},
            {1,6,0}},
/* c71  */ {{2,3,4}, {3,4,4}, {3,4,3}, {3,3,2}, {3,1,2}, {3,0,3}, {3,0,7}, {3,1,8}, {3,3,8}, {4,4,7},
            {1,6,0}},
/* c72  */ {{2,0,2}, {4,0,8},
            {2,0,5}, {4,4,5},
            {2,4,8}, {4,4,2},
            {1,6,0}},
/* c73  */ {{2,1,2}, {4,3,2},
            {2,2,2}, {4,2,8},
            {2,1,8}, {4,3,8},
            {1,6,0}},
/* c74  */ {{2,0,3}, {3,1,2}, {3,3,2}, {3,4,3}, {4,4,8},
            {1,6,0}},
/* c75  */ {{2,0,2}, {4,0,8},
            {2,4,8}, {3,1,5}, {4,4,2},
            {1,8,0}},
/* c76  */ {{2,0,8}, {3,0,2}, {4,4,2},
            {1,6,0}},
/* c77  */ {{2,0,2}, {3,0,8}, {3,2,6}, {3,4,8}, {4,4,2},
            {1,6,0}},
/* c78  */ {{2,0,2}, {3,0,8}, {3,4,2}, {4,4,8},
            {1,6,0}},
/* c79  */ {{2,0,3}, {3,0,7}, {3,1,8}, {3,3,8}, {3,4,7}, {3,4,3}, {3,3,2}, {3,1,2}, {4,0,3},
            {1,6,0}},
/* c80  */ {{2,0,2}, {3,0,8}, {3,3,8}, {3,4,7}, {3,4,6}, {3,3,5}, {4,0,5},
            {1,6,0}},
/* c81  */ {{2,0,3}, {3,0,7}, {3,1,8}, {3,3,8}, {3,4,7}, {3,4,4}, {3,2,2}, {3,1,2}, {4,0,3},
            {2,2,5}, {4,4,3},
            {1,6,0}},
/* c82  */ {{2,0,2}, {3,0,8}, {3,3,8}, {3,4,7}, {3,4,6}, {3,3,5}, {4,0,5},
            {2,1,5}, {4,4,2},
            {1,6,0}},
/* c83  */ {{2,4,7}, {3,3,8}, {3,1,8}, {3,0,7}, {3,0,6}, {3,1,5}, {3,3,5}, {3,4,4}, {3,4,3}, {3,3,2}, {3,1,2}, {4,0,3},
            {1,6,0}},
/* c84  */ {{2,0,8}, {4,4,8},
            {2,2,8}, {4,2,2},
            {1,6,0}},
/* c85  */ {{2,0,3}, {4,0,8},
            {2,4,8}, {3,4,3}, {3,3,2}, {3,1,2}, {4,0,3},
            {1,6,0}},
/* c86  */ {{2,0,8}, {3,0,5}, {3,2,2}, {3,4,5}, {4,4,8},
            {1,6,0}},
/* c87  */ {{2,0,2}, {4,0,8},
            {2,4,8}, {3,4,2}, {3,2,4}, {4,0,2},
            {1,6,0}},
/* c88  */ {{2,0,2}, {4,4,8},
            {2,0,8}, {4,4,2},
            {1,6,0}},
/* c89  */ {{2,2,2}, {3,2,5}, {4,0,8},
            {2,4,8}, {4,2,5},
            {1,6,0}},
/* c90  */ {{2,0,8}, {3,4,8}, {3,0,2}, {4,4,2},
            {1,6,0}},
/* c91  */ {{2,3,1}, {3,1,1}, {3,1,9}, {4,3,9},
            {1,6,0}},
/* c92  */ {{2,0,7}, {4,4,3},
            {1,6,0}},
/* c93  */ {{2,1,9}, {3,3,9}, {3,3,1}, {4,1,1},
            {1,6,0}},
/* c94  */ {{2,2,2}, {4,2,8},
            {2,0,6}, {3,2,8}, {4,4,6},
            {1,6,0}},
/* c95  */ {{2,2,3}, {3,0,5}, {4,2,7},
            {2,0,5}, {4,4,5},
            {1,6,0}},
/* c96  */ {{2,3,8}, {3,2,8}, {3,2,9}, {3,3,9}, {3,3,8}, {4,4,7},
            {1,6,0}},
/* c97  */ {{2,1,6}, {3,3,6}, {3,4,5}, {3,4,2}, {3,1,2}, {3,0,3}, {3,1,4}, {4,4,4},
            {1,6,0}},
/* c98  */ {{2,0,8}, {3,0,2}, {3,3,2}, {3,4,3}, {3,4,5}, {3,3,6}, {4,0,6},
            {1,6,0}},
/* c99  */ {{2,4,5}, {3,3,6}, {3,1,6}, {3,0,5}, {3,0,3}, {3,1,2}, {4,4,2},
            {1,6,0}},
/* c100 */ {{2,4,8}, {3,4,2}, {3,1,2}, {3,0,3}, {3,0,5}, {3,1,6}, {4,4,6},
            {1,6,0}},
/* c101 */ {{2,3,2}, {3,1,2}, {3,0,3}, {3,0,5}, {3,1,6}, {3,3,6}, {3,4,5}, {3,3,4}, {4,0,4},
            {1,6,0}},
/* c102 */ {{2,1,2}, {3,1,7}, {3,2,8}, {3,3,8}, {4,4,7},
            {2,2,5}, {4,0,5},
            {1,6,0}},
/* c103 */ {{2,1,0}, {3,3,0}, {3,4,1}, {3,4,5}, {3,3,6}, {3,1,6}, {3,0,5}, {3,0,3}, {3,1,2}, {4,4,2},
            {1,6,0}},
/* c104 */ {{2,0,2}, {4,0,8},
            {2,0,6}, {3,3,6}, {3,4,5}, {4,4,2},
            {1,6,0}},
/* c105 */ {{2,2,2}, {4,2,5},
            {2,2,6}, {4,2,7},
            {1,6,0}},
/* c106 */ {{2,0,1}, {3,1,0}, {3,3,0}, {3,4,1}, {4,4,5},
            {2,4,6}, {4,4,7},
            {1,6,0}},
/* c107 */ {{2,0,2}, {4,0,8},
            {2,4,6}, {3,2,4}, {4,0,4},
            {2,2,4}, {4,4,2},
            {1,6,0}},
/* c108 */ {{2,1,2}, {4,1,8},
            {1,6,0}},
/* c109 */ {{2,0,2}, {3,0,6}, {3,1,6}, {3,2,5}, {3,3,6}, {3,4,5}, {4,4,2},
            {2,2,2}, {4,2,5},
            {1,6,0}},
/* c110 */ {{2,0,2}, {3,0,6}, {3,1,5}, {3,2,6}, {3,3,6}, {3,4,5}, {4,4,2},
            {1,6,0}},
/* c111 */ {{2,0,3}, {3,0,5}, {3,1,6}, {3,3,6}, {3,4,5}, {3,4,3}, {3,3,2}, {3,1,2}, {4,0,3},
            {1,6,0}},
/* c112 */ {{2,0,0}, {3,0,6}, {3,3,6}, {3,4,5}, {3,4,3}, {3,3,2}, {4,0,2},
            {1,6,0}},
/* c113 */ {{2,4,2}, {3,1,2}, {3,0,3}, {3,0,5}, {3,1,6}, {3,3,6}, {3,4,5}, {4,4,0},
            {1,6,0}},
/* c114 */ {{2,0,2}, {4,0,6},
            {2,0,4}, {3,2,6}, {3,3,6}, {4,4,5},
            {1,6,0}},
/* c115 */ {{2,0,2}, {3,3,2}, {3,4,3}, {3,3,4}, {3,1,4}, {3,0,5}, {3,1,6}, {4,4,6},
            {1,6,0}},
/* c116 */ {{2,0,6}, {4,4,6},
            {2,2,8}, {3,2,3}, {3,3,2}, {4,4,2},
            {1,6,0}},
/* c117 */ {{2,0,6}, {3,0,3}, {3,1,2}, {3,3,2}, {3,4,3}, {4,4,6},
            {1,6,0}},
/* c118 */ {{2,0,6}, {3,0,4}, {3,2,2}, {3,4,4}, {4,4,6},
            {1,6,0}},
/* c119 */ {{2,0,6}, {3,0,3}, {3,1,2}, {3,2,3}, {3,3,2}, {3,4,3}, {4,4,6},
            {1,6,0}},
/* c120 */ {{2,0,2}, {4,4,6},
            {2,0,6}, {4,4,2},
            {1,6,0}},
/* c121 */ {{2,0,0}, {3,4,4}, {4,4,6},
            {2,0,6}, {3,0,4}, {4,2,2},
            {1,6,0}},
/* c122 */ {{2,0,6}, {3,4,6}, {3,0,2}, {4,4,2},
            {1,6,0}},
/* c123 */ {{2,4,9}, {3,3,8}, {3,3,6}, {3,2,5}, {3,3,4}, {3,3,2}, {4,4,1},
            {1,6,0}},
/* c124 */ {{2,2,9}, {4,2,0},
            {1,6,0}},
/* c125 */ {{2,2,2}, {3,2,3}, {3,0,5}, {3,2,7}, {4,2,8},
            {2,2,7}, {3,4,5}, {4,2,3},
            {1,6,0}},
/* c126 */ {{2,0,9}, {3,1,8}, {3,1,6}, {3,2,5}, {3,1,4}, {3,1,2}, {4,0,1},
            {1,6,0}},
/* c127 */ {{0}},
};	/* End of chrtbl */
